## CamelMultipartSigned

CamelMultipartSigned

## Synopsis

                        CamelMultipartSigned;
    CamelMultipartSigned* camel_multipart_signed_new        (void);
    CamelStream*        camel_multipart_signed_get_content_stream
                                                            (CamelMultipartSigned *mps,
                                                             CamelException *ex);

## Description

## Details

### CamelMultipartSigned

    typedef struct {
    	CamelMultipart parent_object;

    	/* these are the client visible parts, decoded forms of our data wrapper content */
    	CamelMimePart *content;
    	CamelMimePart *signature;

    	/* the raw content which must go over the wire, if we have generated it */
    	/* perhaps this should jsut set data_wrapper->stream and update start1/end1 accordingly, as it is done
    	   for other parts, or visa versa? */
    	CamelStream *contentraw;

    	/*int state;*/

    	/* just cache some info we use */
    	char *protocol;
    	char *micalg;

    	/* offset pointers of start of boundary in content object */
    	off_t start1, end1;
    	off_t start2, end2;
    } CamelMultipartSigned;

### camel_multipart_signed_new ()

    CamelMultipartSigned* camel_multipart_signed_new        (void);

Returns : |

### camel_multipart_signed_get_content_stream ()

    CamelStream*        camel_multipart_signed_get_content_stream
                                                            (CamelMultipartSigned *mps,
                                                             CamelException *ex);

`mps` : |
`ex` : |
Returns : |